{
  "name": "@stock-bot/engine",
  "version": "1.0.0",
  "type": "module",
  "main": "index.mjs",
  "types": "index.d.ts",
  "exports": {
    ".": {
      "import": "./index.mjs",
      "require": "./index.js",
      "types": "./index.d.ts"
    }
  },
  "files": [
    "index.d.ts",
    "index.js",
    "index.mjs",
    "index.node"
  ],
  "napi": {
    "name": "engine",
    "triples": {
      "additional": [
        "x86_64-pc-windows-msvc",
        "x86_64-apple-darwin",
        "x86_64-unknown-linux-gnu",
        "aarch64-apple-darwin",
        "aarch64-unknown-linux-gnu"
      ]
    }
  },
  "scripts": {
    "build": "cargo-cp-artifact -nc index.node -- cargo build --message-format=json-render-diagnostics",
    "build:debug": "npm run build --",
    "build:release": "npm run build -- --release",
    "build:napi": "napi build --platform --release",
    "test": "cargo test"
  },
  "devDependencies": {
    "@napi-rs/cli": "^2.16.3",
    "cargo-cp-artifact": "^0.1"
  }
}